petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISStrideGetInfo

Returns the first index in a stride index set and the stride width.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISStrideGetInfo(IS is,PetscInt *first,PetscInt *step)

Not Collective

### Input Parameter

is -the index set

### Output Parameters

first -the first index
step -the stride width

### Notes

Returns info on stride index set. This is a pseudo-public function that should not be needed by most users.

### See Also

ISCreateStride(), ISGetSize()

Level:intermediate
Location:src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex2f.F.html